# Package org.eclipse.m2m.atl.engine.asm

Class Summary
ASM: This class represents a transformation module, which can have fields.
ASMEmitter: This class is used by ATL compiler to create an ASM file.
ASMField: Stores an `ASM` field.
ASMInstruction: Stores an `ASM` instruction.
ASMInstructionWithOperand: Stores an `ASM` instruction with an operand.
ASMOperation: The line number table contains a list of IDs (startLine:startColumn-endLine:endColumn) of source elements associated to a range of asm instructions.
ASMParameter: Stores an `ASMOperation` parameter.
ASMTextualWriter: Textual ATL VM bytecode serializer.
ASMWriter: An abstract `ASM` writer.
ASMXMLWriter: Writes ASM as XML.

Exception Summary
ASMEmitterException: ASM emitter exception.